package com.jz.dmp.modules.model;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

public class DmpModuleOperateLog implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer moduleKey;
    private Integer primaryKey;
    private String operateLog;
    private Date operateTime;
    private Integer operateUserId;
    private String operateUserName;
    private String reserveField;
    private String remark;
    private String operateTimeStr;
    //排序方式
    private String order;

    public Integer getModuleKey() {
        return moduleKey;
    }

    public void setModuleKey(Integer moduleKey) {
        this.moduleKey = moduleKey;
    }

    public Integer getPrimaryKey() {
        return primaryKey;
    }

    public void setPrimaryKey(Integer primaryKey) {
        this.primaryKey = primaryKey;
    }

    public String getOperateLog() {
        return operateLog;
    }

    public void setOperateLog(String operateLog) {
        this.operateLog = operateLog;
    }

    public Date getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Date operateTime) {
        this.operateTime = operateTime;
    }

    public Integer getOperateUserId() {
        return operateUserId;
    }

    public void setOperateUserId(Integer operateUserId) {
        this.operateUserId = operateUserId;
    }

    public String getOperateUserName() {
        return operateUserName;
    }

    public void setOperateUserName(String operateUserName) {
        this.operateUserName = operateUserName;
    }

    public String getReserveField() {
        return reserveField;
    }

    public void setReserveField(String reserveField) {
        this.reserveField = reserveField;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getOperateTimeStr() {
        if (operateTime != null) {
            SimpleDateFormat time = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            operateTimeStr = time.format(operateTime);
        }
        return operateTimeStr;
    }

    public void setOperateTimeStr(String operateTimeStr) {
        this.operateTimeStr = operateTimeStr;
    }

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}
}
